Skip to main content
GET
/
v1
/
ledger
/
balances
Get current user balances across all currencies
curl --request GET \
  --url https://api.example.com/v1/ledger/balances \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/ledger/balances"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/ledger/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "balances": [
    {
      "balance": "1500.50",
      "currency": "EUR",
      "pendingIn": "100.00",
      "pendingOut": "50.00",
      "totalBalance": "1550.50",
      "isActive": true,
      "lastTransactionAt": "2025-10-29T12:00:00Z"
    }
  ],
  "clientId": "client456",
  "primaryCurrency": "EUR",
  "totalValueEur": "5000.00",
  "userId": "user123",
  "calculatedAt": "2025-10-29T12:00:00Z"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Response

User balances retrieved successfully. Returns balance details for all currency accounts.

balances
object[]
required

List of balances by currency

clientId
string
required

Client ID

Example:

"client456"

primaryCurrency
string
required

Primary currency

Example:

"EUR"

totalValueEur
string
required

Total value in default currency (EUR)

Example:

"5000.00"

userId
string
required

User ID

Example:

"user123"

calculatedAt
string

Timestamp of balance calculation

Example:

"2025-10-29T12:00:00Z"